IllegalAlphabetException (BioJava-1.5-beta API)
Keywords: org.biojava.bio.symbol.IllegalAlphabetException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.symbol
Class IllegalAlphabetException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.biojava.bio.BioException
                  org.biojava.bio.symbol.IllegalAlphabetException

All Implemented Interfaces:
  Serializable

    public class IllegalAlphabetException

extends BioException

The exception to indicate that an invalid alphabet has been used.

The usual reason for throwing an IllegalAlphabetException is that you are trying to parse a SymbolList into a method that only works for some alphabets, but not for the alphabet associated with that SymbolList.

Author:
  Matthew Pocock
See Also:
  Serialized Form

Constructor Summary
`IllegalAlphabetException()` Just make the exception.
`IllegalAlphabetException(String message)` Make the exception with a message.
`IllegalAlphabetException(Throwable t)`
`IllegalAlphabetException(Throwable t, String message)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalAlphabetException

    public IllegalAlphabetException()

  Just make the exception.

### IllegalAlphabetException

    public IllegalAlphabetException(String message)

  Make the exception with a message.

### IllegalAlphabetException

    public IllegalAlphabetException(Throwable t)

### IllegalAlphabetException

    public IllegalAlphabetException(Throwable t,
                                    String message)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD